BioBuilder (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacardx.biometry
Class BioBuilder

    java.lang.Object
      javacardx.biometry.BioBuilder

    @TransactionType(value=SUPPORTS)
    public final class BioBuilder

extends Object

Builds an empty/blank biometric reference template.

Since:
  2.2.2

Field Summary
`static byte` | `BODY_ODOR` Body Odor.
`static byte` | `DEFAULT_INITPARAM` The default value of the provider specific initialization information, `initParam` parameter in the `buildBioTemplate()` method.
`static byte` | `DNA_SCAN` Pattern is a DNA sample for matching.
`static byte` | `EAR_GEOMETRY` Ear geometry ID is based on overall geometry/shape of the ear.
`static byte` | `FACIAL_FEATURE` Facial feature recognition (visage).
`static byte` | `FINGER_GEOMETRY` Finger geometry ID is based on overall geometry/shape of a finger.
`static byte` | `FINGERPRINT` Fingerprint identification (any finger).
`static byte` | `GAIT_STYLE` Gait (behavioral).
`static byte` | `HAND_GEOMETRY` Hand geometry ID is based on overall geometry/shape of the hand.
`static byte` | `IRIS_SCAN` Pattern is a scan of the eye's iris.
`static byte` | `KEYSTROKES` Keystrokes dynamics (behavioral).
`static byte` | `LIP_MOVEMENT` Lip movement (behavioral).
`static byte` | `PALM_GEOMETRY` Palm geometry ID is based on overall geometry/shape of a palm.
`static byte` | `PASSWORD` General password (a PIN is a special case of the password).
`static byte` | `RETINA_SCAN` Pattern is an infrared scan of the blood vessels of the retina of the eye.
`static byte` | `SIGNATURE` Written signature dynamics ID (behavioral).
`static byte` | `THERMAL_FACE` Thermal Face Image.
`static byte` | `THERMAL_HAND` Thermal Hand Image.
`static byte` | `VEIN_PATTERN` Pattern is an infrared scan of the vein pattern in a face, wrist, or, hand.
`static byte` | `VOICE_PRINT` Pattern is a voice sample (specific or unspecified speech).

Method Summary
`static OwnerBioTemplate` | `buildBioTemplate(byte bioType, byte tryLimit)` Creates an empty/blank biometric reference template instance of the default biometric provider with default initialization parameter.
`static OwnerBioTemplate` | `buildBioTemplate(byte bioType, byte tryLimit, byte[] RID, byte initParam)` Creates an empty/blank biometric reference template.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FACIAL_FEATURE

    public static final byte FACIAL_FEATURE

  Facial feature recognition (visage).

  See Also:
    Constant Field Values

### VOICE_PRINT

    public static final byte VOICE_PRINT

  Pattern is a voice sample (specific or unspecified speech).

  See Also:
    Constant Field Values

### FINGERPRINT

    public static final byte FINGERPRINT

  Fingerprint identification (any finger).

  See Also:
    Constant Field Values

### IRIS_SCAN

    public static final byte IRIS_SCAN

  Pattern is a scan of the eye's iris.

  See Also:
    Constant Field Values

### RETINA_SCAN

    public static final byte RETINA_SCAN

  Pattern is an infrared scan of the blood vessels of the retina of the eye.

  See Also:
    Constant Field Values

### HAND_GEOMETRY

    public static final byte HAND_GEOMETRY

  Hand geometry ID is based on overall geometry/shape of the hand.

  See Also:
    Constant Field Values

### SIGNATURE

    public static final byte SIGNATURE

  Written signature dynamics ID (behavioral).

  See Also:
    Constant Field Values

### KEYSTROKES

    public static final byte KEYSTROKES

  Keystrokes dynamics (behavioral).

  See Also:
    Constant Field Values

### LIP_MOVEMENT

    public static final byte LIP_MOVEMENT

  Lip movement (behavioral).

  See Also:
    Constant Field Values

### THERMAL_FACE

    public static final byte THERMAL_FACE

  Thermal Face Image.

  See Also:
    Constant Field Values

### THERMAL_HAND

    public static final byte THERMAL_HAND

  Thermal Hand Image.

  See Also:
    Constant Field Values

### GAIT_STYLE

    public static final byte GAIT_STYLE

  Gait (behavioral).

  See Also:
    Constant Field Values

### BODY_ODOR

    public static final byte BODY_ODOR

  Body Odor.

  See Also:
    Constant Field Values

### DNA_SCAN

    public static final byte DNA_SCAN

  Pattern is a DNA sample for matching.

  See Also:
    Constant Field Values

### EAR_GEOMETRY

    public static final byte EAR_GEOMETRY

  Ear geometry ID is based on overall geometry/shape of the ear.

  See Also:
    Constant Field Values

### FINGER_GEOMETRY

    public static final byte FINGER_GEOMETRY

  Finger geometry ID is based on overall geometry/shape of a finger.

  See Also:
    Constant Field Values

### PALM_GEOMETRY

    public static final byte PALM_GEOMETRY

  Palm geometry ID is based on overall geometry/shape of a palm.

  See Also:
    Constant Field Values

### VEIN_PATTERN

    public static final byte VEIN_PATTERN

  Pattern is an infrared scan of the vein pattern in a face, wrist, or, hand.

  See Also:
    Constant Field Values

### PASSWORD

    public static final byte PASSWORD

  General password (a PIN is a special case of the password). Note that this is not a biometric, but is nevertheless a pattern that must be matched for security purposes, and since it is frequently combined with biometrics for security, we provide a code here to assist with that combination.

  See Also:
    Constant Field Values

### DEFAULT_INITPARAM

    public static final byte DEFAULT_INITPARAM

  The default value of the provider specific initialization information, `initParam` parameter in the `buildBioTemplate()` method.

  See Also:
    Constant Field Values

Method Detail

### buildBioTemplate

    public static OwnerBioTemplate buildBioTemplate(byte bioType,
                                                    byte tryLimit)
                                             throws BioException

  Creates an empty/blank biometric reference template instance of the default biometric provider with default initialization parameter.

  Parameters:
    `bioType` - the type of the template to be generated. Valid codes are listed in the biometric pattern type constants.
    `tryLimit` - maximum unsuccessful matches before template is blocked. `tryLimit` must be at least 1.
  Returns:
    the `OwnerBioTemplate` object instance of the requested `bioType` and `tryLimit` access.
  Throws:
    `BioException` - with the following reason codes:
    - `BioException.ILLEGAL_VALUE` if `tryLimit` parameter is less than 1.
    - `BioException.NO_SUCH_BIO_TEMPLATE` if the requested template associated with the specified `bioType` is not supported.

### buildBioTemplate

    public static OwnerBioTemplate buildBioTemplate(byte bioType,
                                                    byte tryLimit,
                                                    byte[] RID,
                                                    byte initParam)
                                             throws BioException

  Creates an empty/blank biometric reference template. This method takes in a provider identifier (RID) and an initialization parameter which should be passed to the constructor of the appropriate `OwnerBioTemplate` implementation.

  Parameters:
    `bioType` - the type of the template to be generated. Valid codes are listed in the biometric pattern type constants.
    `tryLimit` - maximum unsuccessful matches before template is blocked. `tryLimit` must be at least 1.
    `RID` - the RID of the provider of `OwnerBioTemplate` implementation. null value means default provider
    `initParam` - the provider specific initialization information for the `OwnerBioTemplate` instance. `DEFAULT_INITPARAM` is default value.
  Returns:
    the `OwnerBioTemplate` object instance of the requested `bioType` and `tryLimit` access.
  Throws:
    `BioException` - with the following reason codes:
    - `BioException.ILLEGAL_VALUE` if `tryLimit` parameter is less than 1.
    - `BioException.NO_SUCH_BIO_TEMPLATE` if the requested template associated with the specified `bioType` is not supported.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.